import BaseApp, { Plugin, PluginContext } from '../app/BaseApp';
export declare class RouteRegisterUtil {
    private routesToRegister;
    private express;
    doRegister(): void;
}
export declare const errorMiddleware: (err: any, req: any, res: any, next: any) => any;
export default class WebPlugin implements Plugin {
    static CONTEXT_APP_KEY: string;
    static CONTEXT_SERVER_KEY: string;
    name: string;
    private expressProvider;
    willStart(app: BaseApp, pluginContext: PluginContext): void;
    didStart(app: any, pluginContext: any): void;
    willStop(app: any, pluginContext: any): void;
}
